<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @link https://codex.wordpress.org/Creating_an_Error_404_Page
 *
 * WPS_Siren
 */

get_header(); ?>
<?php if (function_exists('WPS_framework_init')) {
    if (wps_get_option('error_page_custom_design' ) == ''){ ?>
        <section class="error-404 not-found">
            <div class="container">
                <header class="page-header">
                    <h1 class="page-title"><?php esc_html_e( 'Oops! That page can&rsquo;t be found.', 'siren' ); ?></h1>
                </header><!-- .page-header -->
                <div class="page-content">
                    <p><?php esc_html_e( 'It looks like nothing was found at this location.', 'siren' ); ?></p>
                    <p><?php esc_html_e( 'Maybe try a search?', 'siren' ); ?></p>
                    <div class="error-search-box">
                        <form class="themain-search-bbs" action="<?php echo esc_url( home_url( '/' ) ); ?>" method="get">
                            <input type="text" name="s" id="search" placeholder="<?php echo esc_attr_e( 'Search and Hit Enter', 'siren' ); ?>" value="<?php the_search_query(); ?>" />
                            <input class="seach-here" type="submit" id="searchsubmit"
                                   value="<?php echo esc_attr_e( 'Search', 'siren' ); ?>" />
                        </form>
                    </div>
                </div><!-- .page-content -->
            </div>
		</section><!-- .error-404 -->
    <?php } else {
        $error_page = wps_get_option('error_page_custom_design' );
        echo do_shortcode('[INSERT_ELEMENTOR id='. $error_page .']');
    }
} else { ?>
   <section class="error-404 not-found">
            <div class="container">
                <header class="page-header">
                    <h1 class="page-title"><?php esc_html_e( 'Oops! That page can&rsquo;t be found.', 'siren' ); ?></h1>
                </header><!-- .page-header -->
                <div class="page-content">
                    <p><?php esc_html_e( 'It looks like nothing was found at this location.', 'siren' ); ?></p>
                    <p><?php esc_html_e( 'Maybe try a search?', 'siren' ); ?></p>
                    <div class="error-search-box">
                        <form class="themain-search-bbs" action="<?php echo esc_url( home_url( '/' ) ); ?>" method="get">
                            <input type="text" name="s" id="search" placeholder="<?php echo esc_attr_e( 'Search and Hit Enter', 'siren' ); ?>" value="<?php the_search_query(); ?>" />
                            <input class="seach-here" type="submit" id="searchsubmit"
                                   value="<?php echo esc_attr_e( 'Search', 'siren' ); ?>" />
                        </form>
                    </div>
                </div><!-- .page-content -->
            </div>
    </section><!-- .error-404 -->
<?php }
get_footer();
