<div class="archive-of-wps">
    <?php if ( !is_home() ) { ?>
        <?php if ( is_search() ) { ?>
            <div class="archive-header">
                <div class="archive-title">
                    <h2><?php esc_html( 'Search Result For :', 'siren'); echo get_search_query(); ?></h2>
                </div>
                <?php if (function_exists('WPS_framework_init')) {?>
                    <div class="archive-view">
                        <div class="view">
                        </div>
                    </div>
                <?php } ?>
            </div>
        <?php } elseif ( is_category () ) { ?>
            <div class="archive-header">
                <div class="archive-title">
                    <h2>
                        <?php
                        $categories = get_the_category();
                        if ( ! empty( $categories ) ) {
                            echo esc_html( $categories[0]->name );
                        }
                        ?>
                    </h2>
                </div>
                <?php if (function_exists('WPS_framework_init')) {?>
                <div class="archive-view">
                    <div class="view">
                    </div>
                </div>
                <?php } ?>
            </div>
        <?php }  ?>
    <?php } ?>
    <div class="archive-post-section">
        <article class="archive-start">
            <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
                <article <?php post_class() ?> id="post-<?php the_ID(); ?>">
                    <?php if ( has_post_thumbnail() ) { ?>
                    <div class="image-left-side">
                        <?php
                        $post_tags = get_the_tags();
                        if ($post_tags) { ?>
                            <span class="random-tag">
                                    <?php
                                    echo esc_attr($post_tags[0]->name);
                                    ?>
                                </span>
                        <?php } ?>
                        <?php $feat_image_url = wp_get_attachment_url( get_post_thumbnail_id() ); ?>
                        <div class="background-image-featured" style="background-image: url(<?php echo esc_url($feat_image_url); ?>)"></div>
                    </div>
                    <?php } ?>
                    <div class="archive-content <?php if ( !has_post_thumbnail() ) { ?> no-thumbnail <?php } ?>">
                        <a href="<?php the_permalink() ?>">
                            <h3><?php the_title(); ?></h3>
                        </a>
                        <div class="post-meta">
                            <div class="post-time">
                                <i class="far fa-clock"></i>
                                <?php echo get_the_date(); ?>
                            </div>
                            <div class="comment-count">
                                <a href="<?php the_permalink() ?>#comments">
                                    <i class="far fa-comment"></i>
                                    <?php echo esc_attr($post->comment_count); ?>
                                </a>
                            </div>
                        </div>
                        <div class="post-content">
                            <?php echo wp_trim_words( get_the_content(), 25, '...' ); ?>
                        </div>
                        <a href="<?php the_permalink() ?>">
                            <span class="more-to-read-post"><?php echo esc_attr_e( 'Read More', 'siren' ); ?></span>
                        </a>
                    </div>
                </article>
            <?php endwhile; ?>
                <div class="full-pagination-design">
                    <?php
                    global $wp_query;
                    $total_pages = $wp_query->max_num_pages;
                    if ($total_pages > 1){
                        $current_page = max(1, get_query_var('paged'));
                        echo "<div class='paginate'>";
                        echo '<div class="pagination-content">';
                        echo paginate_links(array(
                            'base' => get_pagenum_link(1) . '%_%',
                            'format' => '/page/%#%',
                            'current' => $current_page,
                            'total' => $total_pages,
                            'prev_text' => __('Prev', 'siren'),
                            'next_text' => __('Next', 'siren')
                        ));
                        echo '</div>';
                        echo "</div>";
                    }
                    ?>
                </div>
            <?php else : ?>
                <div class="search-not-found">
                    <h2 class="no-found-search"><?php echo esc_attr_e('Nothing Found', 'siren'); ?></h2>
                    <p class="discription-search-error"><?php echo esc_attr_e( 'Very Sorry About this. We cannot Find Any Result about Your Search Result', 'siren' ); ?></p>
                </div>
            <?php endif; ?>
        </article>
    </div>
</div>