<?php
?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="profile" href="http://gmpg.org/xfn/11">
    <?php get_template_part('template-parts/share', 'meta') ?>
    <?php get_template_part('template-parts/json', 'ld') ?>
    <?php wp_head(); ?>
</head>

<?php wp_body_open(); ?>
<body <?php body_class(); ?>>

<?php if (function_exists('WPS_framework_init')) {
    if ( wps_get_option('preloader_enable' ) == '1' ) {
        ?>
        <div class="preloader">
            <div class="image-place-holder" <?php if ( wps_get_option('preloader_enable' ) == '1' ) { ?> style="background-image: url(<?php echo esc_url(wps_get_option('upload_preloader_image')); ?>) !important;" <?php } ?>></div>
        </div>
    <?php }
} ?>

<?php if (function_exists('WPS_framework_init')) { ?>
    <?php if ( wps_get_option('use_custom_header_design' ) == '1' ) { ?>
        <?php $headershortcode = wps_get_option('select_custom_header' );
        echo do_shortcode('[INSERT_ELEMENTOR id='. $headershortcode .']');
        ?>
    <?php } else if ( wps_get_option('use_custom_header_design' ) == '' ) { ?>
        <?php if ( has_nav_menu( 'top_nav' ) ) { ?>
            <div class="default-top-header">
                <div class="top-header" style="background: -webkit-linear-gradient(left,<?php echo esc_attr(wps_get_option('header_left_color')); ?> 0,<?php echo esc_attr(wps_get_option('header_right_color')); ?> 100%); background: linear-gradient(to right,<?php echo esc_attr(wps_get_option('header_left_color')); ?> 0,<?php echo esc_attr(wps_get_option('header_right_color')); ?> 100%); ">
                    <div class="container">
                        <div class="mobile-menu-burger top-menu-bg float-left">
                            <i class="fas fa-bars top-mobile-menu-switch float-left"></i>
                        </div>
                        <div class="left-side link-menu">
                            <?php
                            wp_nav_menu( array(
                                'theme_location' => 'top_nav',
                                'menu_id'        => 'primary-menu',
                            ));
                            ?>
                        </div>
                        <div class="time-andsocial">
                            <?php if ( wps_get_option('header_social_media' ) == '1' ) { ?>
                                <div class="social-icons">
                                    <ul>
                                        <?php if ( wps_get_option('facebook_url' ) != '' ) { ?>
                                            <li>
                                                <a href="<?php echo esc_url(wps_get_option('facebook_url')); ?>" target="_blank">
                                                    <i class="fab fa-facebook-f"></i>
                                                </a>
                                            </li>
                                        <?php } ?>
                                        <?php if ( wps_get_option('twitter_url' ) != '' ) { ?>
                                            <li>
                                                <a href="<?php echo esc_url(wps_get_option('twitter_url')); ?>" target="_blank">
                                                    <i class="fab fa-twitter"></i>
                                                </a>
                                            </li>
                                        <?php } ?>
                                        <?php if ( wps_get_option('youtube_url' ) != '' ) { ?>
                                            <li>
                                                <a href="<?php echo esc_url(wps_get_option('youtube_url')); ?>" target="_blank">
                                                    <i class="fab fa-youtube"></i>
                                                </a>
                                            </li>
                                        <?php } ?>
                                    </ul>
                                </div>
                            <?php } ?>
                            <?php if ( wps_get_option('header_date' ) == '1' ) { ?>
                                <div class="right-side">
                                    <span class="datetop"><?php echo date('j'); ?></span>
                                    <div class="monthandyear">
                                        <span class="mny"><?php echo date('F'); ?></span>
                                        <span class="mny"><?php echo date('Y'); ?></span>
                                    </div>
                                </div>
                            <?php } ?>
                        </div>

                    </div>
                </div>
            </div>
        <?php } ?>
        <div class="default-header">
            <p class="main-titile very-default-main-title">
                <a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a>
            </p>
            <div class="menu-main-menu-container very-default-installation">
                <div class="mobile-menu-burger">
                    <i class="fas fa-bars mobile-menu-switch"></i>
                </div>
                <div class="container main-menu-desktop">
                    <?php
                    if ( has_nav_menu( 'main_nav' ) ) {
                        wp_nav_menu( array(
                            'theme_location' => 'main_nav',
                            'menu_id'        => 'main-menu',
                        ) );
                    }
                    ?>
                </div>
            </div>
            <div class="mobile-menu-section">
                <span class="closing-area"></span>
                <div class="mobile-menu-header">
                    <form class="search-box-mobile-menu" action="<?php echo esc_url( home_url( '/' ) ); ?>" method="get">
                        <?php echo get_search_form(); ?>
                    </form>
                    <i class="fas fa-times close-menu"></i>
                </div>
                <div class="mobile-menu-ss" id="main-mobile-menusc">
                    <?php
                    wp_nav_menu( array(
                        'theme_location' => 'main_nav',
                        'menu_id'        => 'main-menu',
                    ) );
                    ?>
                </div>
            </div>
        </div>
    <?php } ?>
<?php } else { ?>
    <div class="default-header">
        <p class="main-titile very-default-main-title">
            <a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a>
        </p>
        <div class="menu-main-menu-container very-default-installation">
            <div class="mobile-menu-burger">
                <i class="fas fa-bars mobile-menu-switch"></i>
            </div>
            <div class="container main-menu-desktop">
                <?php
                wp_nav_menu( array(
                    'theme_location' => 'main_nav',
                    'menu_id'        => 'main-menu',
                ) );
                ?>
            </div>
        </div>
        <div class="mobile-menu-section">
            <span class="closing-area"></span>
            <div class="mobile-menu-header">
                <form class="search-box-mobile-menu" action="<?php echo esc_url( home_url( '/' ) ); ?>" method="get">
                    <?php echo get_search_form(); ?>
                </form>
                <i class="fas fa-times close-menu"></i>
            </div>
            <div class="mobile-menu-ss" id="main-mobile-menusc">
                <?php
                wp_nav_menu( array(
                    'theme_location' => 'main_nav',
                    'menu_id'        => 'main-menu',
                ) );
                ?>
            </div>
        </div>
    </div>
<?php } ?>


