<?php
/**
 * Theme dashboard welcome section
 *
 * @package siren_wps_dashboard
 */

?>
<h2 class="nav-tab-wrapper">
    <a href="<?php echo esc_url(admin_url( 'themes.php?page=siren_wps_dashboard' )); ?>" class="nav-tab nav-tab-active"><?php esc_html_e( 'Getting started', 'siren' ); ?></a>
    <?php if (function_exists('WPS_framework_init')) { ?>
        <a href="<?php echo esc_url(admin_url( 'admin.php?page=wps-framework' )); ?>" class="nav-tab"><?php esc_html_e( 'Theme options', 'siren' ); ?></a>
    <?php } ?>
    <a href="<?php echo esc_url(admin_url( 'themes.php?page=siren_wps_dashboard_system_information' )); ?>" class="nav-tab"><?php esc_html_e( 'System information', 'siren' ); ?></a>
    <a href="<?php echo esc_url( 'http://spraythemes.com/' ); ?>" class="nav-tab" target="_blank"><?php esc_html_e( 'WPSmart Support', 'siren' ); ?></a>

</h2>
<div class="theme-welcome-wrapper">
	<div class="feature-section">
		    <div class="section-of-post">
                <h3><?php esc_html_e( 'Step 1 - Install Required Plugins', 'siren' ); ?></h3>
                <p>
                    <?php
                    esc_html_e( 'Our theme has some required and optional plugins to function properly. Please install theme required plugins.', 'siren' );
                    ?>
                </p>
                <?php if(TGM_Plugin_Activation::get_instance()->is_tgmpa_complete()): ?>
                <span class="good-btn"><?php esc_html_e( 'Plugins installed Successfully', 'siren' ); ?></span>
                <?php else: ?>
                <a class="install-plugin-please" href="<?php echo esc_url( admin_url( 'themes.php?page=tgmpa-install-plugins' ) ) ?>"><?php esc_html_e( 'Install Plugins', 'siren' ); ?></a>
                <?php endif; ?>
            </div>

            <div class="section-of-post">
                <h3><?php esc_html_e( 'Read Theme Documentation', 'siren' ); ?></h3>
                <p class="about"><?php esc_html_e( 'Follow Our Documentation and Read the theme setup and configurations', 'siren' ); ?></p>

                <a href="<?php echo esc_url( 'http://siren.spraythemes.com/demo/Document/' ); ?>" target="_blank" class="read-theme-document"><?php esc_html_e( 'Read Documentation', 'siren' ); ?></a>
            </div>

            <div class="section-of-post">
                <h3><?php esc_html_e( 'Need Any Help? We\'re here to help you!', 'siren' ); ?></h3>
                <p class="about"><?php esc_html_e( 'Go to Our Support Forum and ask your question - (Monday-Friday. Time (GMT+5.5))', 'siren' ); ?></p>
                <a href="<?php echo esc_url( 'http://www.spraythemes.com/' ); ?>" target="_blank" class="support-forum-url"><?php esc_html_e( 'Visit Help Center', 'siren' ); ?></a>
		    </div>
	</div>
	<hr>
</div>
