<?php
/**
 * The main template file
 *
 * This is the most generic template file in a WordPress theme
 * and one of the two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * E.g., it puts together the home page when no home.php file exists.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * WPS_Siren
 */

get_header(); ?>

<div class="main-page-design">
    <?php if (function_exists('WPS_framework_init')) {
        if ( wps_get_option('home_page_design' )) {
            $main_page_id = wps_get_option('home_page_design');
            $post = get_post($main_page_id);
            $content_page = apply_filters('the_content', $post->post_content);
            echo do_shortcode($content_page);
        } else { ?>
            <div class="site-main">
                <div class="container">
                    <div class="<?php if ( is_active_sidebar( 'custom-side-bar' ) ) { ?> col-md-8 <?php } else { ?> col-md-12 no-sidebar <?php } ?>">
                        <?php get_template_part( 'archive', 'content' ); ?>
                    </div>
                    <?php if ( is_active_sidebar( 'custom-side-bar' ) ) { ?>
                        <div class="col-md-4">
                            <?php get_template_part( 'archive', 'sidebar' ); ?>
                        </div>
                    <?php } ?>
                </div>
            </div>
        <?php }
    } else { ?>
        <div class="site-main">
            <div class="container">
                <div class="<?php if ( is_active_sidebar( 'custom-side-bar' ) ) { ?> col-md-8 <?php } else { ?> col-md-12 no-sidebar <?php } ?>">
                <?php get_template_part( 'archive', 'content' ); ?>
                </div>
                <?php if ( is_active_sidebar( 'custom-side-bar' ) ) { ?>
                <div class="col-md-4">
                    <?php get_template_part( 'archive', 'sidebar' ); ?>
                </div>
                <?php } ?>
            </div>
        </div>
    <?php } ?>
</div>
<?php
get_footer();
