<?php
/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * WPS_Siren
 */

get_header(); ?>

<?php if (function_exists('WPS_framework_init')) { ?>
	<main class="single-page-default">
        <div class="container">
            <?php
            while ( have_posts() ) : the_post();
                get_template_part( 'template-parts/content', 'page' );
            endwhile;
            ?>
        </div>
	</main>
<?php } else { ?>
    <div class="custom-post-content">
        <div class="sharepost-template in-single-page">
            <div class="container">
                <div class="<?php if ( is_active_sidebar( 'custom-side-bar' ) ) { ?> col-md-8 <?php } else { ?> col-md-12 no-sidebar <?php } ?>">
                    <h2 class="main-post-title">
                        <?php the_title(); ?>
                    </h2>
                    <div class="entry-content single-page-designx">
                        <?php
                        while ( have_posts() ) : the_post();

                            the_content();

                        endwhile;
                        ?>

                    </div>
                    <div class="comment-template single-page-comment">
                        <?php comments_template(); ?>
                    </div>
                </div>
                <?php if ( is_active_sidebar( 'custom-side-bar' ) ) { ?>
                    <div class="col-md-4">
                        <?php get_template_part( 'archive', 'sidebar' ); ?>
                    </div>
                <?php } ?>
            </div>
        </div>
    </div>
<?php } ?>
<?php
get_footer();
