<?php
add_action('wp_ajax_load_posts_by_ajax', 'load_posts_by_ajax_callback');
add_action('wp_ajax_nopriv_load_posts_by_ajax', 'load_posts_by_ajax_callback');

function load_posts_by_ajax_callback() {
    check_ajax_referer('load_more_posts', 'security');
    $paged = $_POST['page'];
    $args = array(
        'post_type' => 'post',
        'post_status' => 'publish',
        'posts_per_page' => '5',
        'paged' => $paged,
    );
    $my_posts = new WP_Query( $args );
    if ( $my_posts->have_posts() ) :
        ?>
        <?php while ( $my_posts->have_posts() ) : $my_posts->the_post(); ?>
            <div class="archive-post-section">
                <div class="content-and-meta">
                    <div class="mets-and-ttl">
                        <?php
                            $post_tags = get_the_tags();
                            $mysettings = get_term_meta( $post_tags[0]->term_id, 'custom_taxonomy_options', true );
                            if ($post_tags) { ?>
                                <span class="single-tag">
                                    <?php
                                    echo esc_attr($post_tags[0]->name);
                                    ?>
                                </span>
                            <?php } ?>
                        <a href="<?php the_permalink(); ?>">
                            <h2><?php the_title(); ?></h2>
                        </a>
                        <div class="post-meta">
                            <div class="post-time">
                                <i class="far fa-clock"></i> <?php echo wpsmart_posttime(); ?>
                            </div>
                            <div class="post-view">
                                <i class="fas fa-eye"></i> <?php echo getPostViews(get_the_ID()); ?>
                            </div>
                            <div class="comment-count">
                                <a href="<?php the_permalink(); ?>">
                                    <i class="far fa-comment"></i> <?php echo esc_attr($my_posts->comment_count); ?>
                                </a>
                            </div>
                        </div>
                    </div>
                    <div class="post-content-wrap">
                        <p>
                            <?php echo wp_trim_words( get_the_content(), 40, '...' ); ?>
                        </p>
                    </div>
                </div>
                <div class="post-image-thumb">
                    <?php if ( has_post_format( 'video' )) { ?>
                        <i class="post-by-type fas fa-video"></i>
                    <?php } else if ( has_post_format( 'gallery' )) { ?>
                        <i class="post-by-type fas fa-images"></i>
                    <?php } else if ( has_post_format( 'quote' )) { ?>
                        <i class="post-by-type fas fa-quote-right"></i>
                    <?php } else if ( has_post_format( 'audio' )) { ?>
                        <i class="post-by-type fab fa-itunes-note"></i>
                    <?php }?>
                    <?php the_post_thumbnail('siren-medium-post-thumb'); ?>
                    <div class="full-preview">
                        <span class="open-newtab">
                            <a href="<?php the_permalink(); ?>" target="_blank">
                                <i class="fas fa-external-link-alt"></i>
                            </a>
                        </span>
                        <?php if ( has_post_thumbnail() ) { ?>
                            <span class="preview-image">
                                <?php $feat_image_url = wp_get_attachment_url( get_post_thumbnail_id() ); ?>
                                <a href="<?php echo esc_url($feat_image_url); ?>" class="open-lightbox">
                                    <i class="fas fa-search-plus"></i>
                                </a>
                            </span>
                        <?php } ?>
                    </div>
                </div>
            </div>
        <?php endwhile; ?>
    <?php
    endif;

    wp_die();
}