<?php if ( ! defined( 'ABSPATH' ) ) { die; } // Cannot access pages directly.
$settings           = array(
  'menu_title'      => 'Siren',
  'menu_type'       => 'menu', // new usage
  'menu_slug'       => 'wps-framework',
  'ajax_save'       => true,
  'show_reset_all'  => false, // new param
  'framework_title' => 'Siren WordPress Theme', // new param
);

$options        = array();

// ae into an array
$template_list = array('Select Design');
$get_template_design = get_posts(
    array(
        'post_type' => 'ae_global_templates',
        'posts_per_page' => -1,
        'post_status' => 'publish'
    )
);
foreach ($get_template_design as $template) {
    $template_list[$template->ID] = $template->post_title;
}

$select_page = array( 'Choose A Page' );
$get_pages = get_pages(
    'hide_empty=0'
);
foreach ( $get_pages as $page ) {
    $select_page[$page->ID] = esc_attr( $page->post_title );
}

$options[]      = array(
    'name'        => 'general',
    'title'       => 'General',
    'icon'        => 'fa fa-home',

    // begin: fields
    'fields'      => array (

        array(
            'id'      => 'preloader_enable',
            'type'    => 'switcher',
            'title'   => 'Enable custom per-loader',
            'default' => false,
        ),

        array(
            'id'             => 'upload_preloader_image',
            'type'           => 'upload',
            'title'          => 'Upload Pre-loader Image',
            'dependency' => array('preloader_enable', '==', '1') ,
            'desc'  => 'Image Size Should Be 150PX * 150PX' ,
        ),

        array(
            'id'      => 'js_compress_and_merge',
            'type'    => 'switcher',
            'title'   => 'JavaScript Compress',
            'desc'  => 'This option will compress all javascript files as one file and speedup site (Only Siren Theme Js)' ,
            'default' => false,
        ),

        array(
            'id'      => 'css_compress_and_merge',
            'type'    => 'switcher',
            'title'   => 'CSS Compress',
            'desc'  => 'This option will compress all CSS files as one file and speedup site (Only Siren Theme CSS)' ,
            'default' => false,
        ),

    ), // end: fields
);

$options[]      = array(
  'name'        => 'homepage',
  'title'       => 'Header',
  'icon'        => 'fa fa-home',

  // begin: fields
  'fields'      => array (

      array(
          'id'      => 'use_custom_header_design',
          'type'    => 'switcher',
          'title'   => 'Enable custom Header Design',
          'default' => false,
      ),

      array(
          'id'         => 'select_custom_header',
          'type'       => 'select',
          'title'   => 'Select Your Header Design',
          'dependency' => array('use_custom_header_design', '==', '1') ,
          'options'    => $template_list),


      array(
          'id'      => 'header_date',
          'type'    => 'switcher',
          'title'   => 'Header Date',
          'label'   => 'Show or Hide Header Current Date',
          'dependency' => array('use_custom_header_design', '==', '0') ,
          'default' => false,
      ),


      array(
          'id'      => 'header_social_media',
          'type'    => 'switcher',
          'title'   => 'Header Social Media Icons',
          'label'   => 'Enable or Disable Header Social Media Icons',
          'dependency' => array('use_custom_header_design', '==', '0') ,
          'default' => false,
      ),

      array(
          'id'    => 'facebook_url',
          'type'  => 'text',
          'title' => 'Facebook Profile/Fan Page URL',
          'dependency' => array('use_custom_header_design', '==', '0') ,
          'attributes'    => array(
              'placeholder' => 'https://www.facebook.com/envato'
          )
      ),
      array(
          'id'    => 'twitter_url',
          'type'  => 'text',
          'title' => 'Twitter Page URL',
          'dependency' => array('use_custom_header_design', '==', '0') ,
          'attributes'    => array(
              'placeholder' => 'http://twitter.com/envato'
          )
      ),
      array(
          'id'    => 'youtube_url',
          'type'  => 'text',
          'title' => 'Youtube Chanel URL',
          'dependency' => array('use_custom_header_design', '==', '0') ,
          'attributes'    => array(
              'placeholder' => 'http://youtube.com/envato'
          )
      ),

  ), // end: fields
);

$options[]      = array(
    'name'        => 'pagedesign',
    'title'       => 'Layout',
    'icon'        => 'fa fa-th-list',

    // begin: fields
    'fields'      => array (

        array(
            'type'    => 'notice',
            'class'   => 'warning',
            'content' => 'Go to "AE Templates" and Create your own design for Each page, Then Select Your Pre-build Design form Drop down',
        ),

        array(
            'type'    => 'subheading',
            'content' => 'Home Page Design',
        ),

        array(
            'id'         => 'home_page_design',
            'type'       => 'select',
            'title'   => 'Select Your Template',
            'options'    => $select_page),

        array(
            'type'    => 'subheading',
            'content' => 'Single Page Design',
        ),

        array(
            'id'         => 'single_page_design',
            'type'       => 'select',
            'title'      => 'Select Default Single Page Template',
            'options'    => $template_list),

        array(
            'type'    => 'subheading',
            'content' => 'Archive Page Design',
        ),

        array(
            'id'         => 'archive_page_design',
            'type'       => 'select',
            'title'      => 'Select Archive Page Template',
            'options'    => $template_list),

        array(
            'type'    => 'subheading',
            'content' => 'Category Page Design',
        ),

        array(
            'id'         => 'category_page_design',
            'type'       => 'select',
            'title'      => 'Select Category Page Template',
            'options'    => $template_list),

       array(
            'type'    => 'subheading',
            'content' => 'Tags Page Design',
        ),

        array(
            'id'         => 'tag_page_design',
            'type'       => 'select',
            'title'      => 'Select Tag Page Template',
            'options'    => $template_list),

        array(
            'type'    => 'subheading',
            'content' => 'Search Page Design',
        ),

        array(
            'id'         => 'search_page_design',
            'type'       => 'select',
            'title'      => 'Select Search Page Template',
            'options'    => $template_list),

        array(
            'type'    => 'subheading',
            'content' => '404 Page',
        ),


        array(
            'id'         => 'error_page_custom_design',
            'type'       => 'select',
            'title'      => '404 Error Page Template',
            'options'    => $template_list),

    ), // end: fields
);

$options[]      = array(
  'name'        => 'footerdesign',
  'title'       => 'Footer',
  'icon'        => 'fa fa-th-large',

  // begin: fields
  'fields'      => array (

  array(
      'id'         => 'select_footer_design',
      'type'       => 'select',
      'title'   => 'Select Your Footer Design',
      'options'    => $template_list),

      array(
          'id'      => 'show_hide_footer_credit',
          'type'    => 'switcher',
          'title'   => 'Show/Hide Footer Credit Section',
          'default' => false,
      ),

    array(
          'id'    => 'footer_text',
          'type'  => 'text',
          'title' => 'Footer Text',          
          'desc'  => 'Add Footer Copyright Text',
            'default' => '© 2019',
            'dependency' => array('show_hide_footer_credit', '==', '1') ,
          'attributes'    => array(
            'placeholder' => '(C) 2019'
          )
    ),

    array(
          'id'    => 'footer_text_two',
          'type'  => 'text',
          'title' => 'Footer Text - 2',
          'desc'  => 'Add more about footer',
          'default' => 'Design And developed By',
        'dependency' => array('show_hide_footer_credit', '==', '1') ,
          'attributes'    => array(
              'placeholder' => 'Design And developed By'
          )
      ),

      array(
          'id'    => 'designer_link',
          'type'  => 'text',
          'title' => 'Footer Link',
          'desc'  => 'Designer Link',
          'dependency' => array('show_hide_footer_credit', '==', '1') ,
          'default' => 'http://spraythemes.com',
          'attributes'    => array(
              'placeholder' => 'http://spraythemes.com'
          )
      ),

      array(
          'id'    => 'designer_text',
          'type'  => 'text',
          'title' => 'Footer Designer Text',
          'desc'  => 'About Designer',
          'dependency' => array('show_hide_footer_credit', '==', '1') ,
          'default' => 'WPSmart',
          'attributes'    => array(
              'placeholder' => 'WPSmart'
          )
      ),

  ), // end: fields
);


$options[]      = array(
    'name'        => 'generalops',
    'title'       => 'Options',
    'icon'        => 'fa fa-th-list',

    // begin: fields
    'fields'      => array (

        array(
            'id'      => 'fixed_sidebar_for_default_sidebar',
            'type'    => 'switcher',
            'title'   => 'Fixed Sidebar Enable/Disable',
            'default' => false,
        ),

        array(
            'id'      => 'rtl_support',
            'type'    => 'switcher',
            'title'   => 'Enable/Disable RTL Language',
            'default' => false,
        ),

        array(
            'type'    => 'subheading',
            'content' => 'Youtube Subscriber Counter Configuration',
        ),

        array(
            'id'    => 'youtube_key_wps',
            'type'  => 'text',
            'title' => 'Youtube Key',
            'desc'  => 'go to - https://console.developers.google.com/ and generate a token' ,
        ),

        array(
            'type'    => 'subheading',
            'content' => 'SoundCloud Follow Counter Configuration',
        ),

        array(
            'id'    => 'sound_cloud_wps',
            'type'  => 'text',
            'title' => 'SoundCloud Client ID',
            'desc'  => 'go to - https://soundcloud.com/you/apps/new, then Create App and generate a token' ,
        ),

        array(
            'type'    => 'subheading',
            'content' => 'Vimeo Follow Counter Configuration',
        ),

        array(
            'id'    => 'vimeo_token_wps',
            'type'  => 'text',
            'title' => 'Vimeo Access Tokens',
            'desc'  => 'go to - https://developer.vimeo.com/apps, then Create App and generate a token' ,
        ),

        array(
            'type'    => 'subheading',
            'content' => 'Behance Follow Counter Configuration',
        ),

        array(
            'id'    => 'behance_token_wps',
            'type'  => 'text',
            'title' => 'Behance Access Tokens',
            'desc'  => 'go to - http://be.net/dev/register, then Create App and generate a token' ,
        ),

    ), // end: fields
);

// ------------------------------
// backup                       -
// ------------------------------
$options[]   = array(
  'name'     => 'backup_section',
  'title'  => 'Backup and Restore',
  'icon'   => 'fa fa-upload',
  'fields'   => array(

    array(
      'type'    => 'notice',
      'class'   => 'warning',
      'content' => 'You can save your current options. Download a Backup and Import.',
    ),

    array(
      'type'    => 'backup',
    ),

  )
);


WPSFramework::instance( $settings, $options );