<?php if ( ! defined( 'ABSPATH' ) ) { die; } // Cannot access pages directly.
// ===============================================================================================
// -----------------------------------------------------------------------------------------------
// METABOX OPTIONS
// -----------------------------------------------------------------------------------------------
// ===============================================================================================
$options      = array();

// Pull all the templates into an array
$template_list = array('Select Design');
$get_template_design = get_posts(
    array(
        'post_type' => 'ae_global_templates',
        'posts_per_page' => -1,
        'post_status' => 'publish'
    )
);
foreach ($get_template_design as $template) {
    $template_list[$template->ID] = $template->post_title;
}

$get_header_and_footer = array('Select Design');
$get_headfoot = get_posts(
    array(
        'post_type' => 'elementor-hf',
        'posts_per_page' => -1,
        'post_status' => 'publish'
    )
);
foreach ($get_headfoot as $gftemplate) {
    $get_header_and_footer[$gftemplate->ID] = $gftemplate->post_title;
}

// Pull all the templates into an array
$template_list = array('Select Design');
$get_template_design = get_posts(
    array(
        'post_type' => 'ae_global_templates',
        'posts_per_page' => -1,
        'post_status' => 'publish'
    )
);
foreach ($get_template_design as $template) {
    $template_list[$template->ID] = $template->post_title;
}

$options[]    = array(
    'id'        => 'siren_metadata',
    'title'     => 'Siren Post Options',
    'post_type' => 'post',
    'context'   => 'normal',
    'priority'  => 'default',
    'sections'  => array(
        array(
            'name'  => 'section_2',
            'title' => 'Post Option',
            'icon'  => 'fa fa-tint',
            'fields' => array(

                array(
                    'id'    => 'use_custom_post_template',
                    'type'  => 'switcher',
                    'title' => 'Enable Custom Single Page Template',
                    'label' => 'You Can Select Your Pre-build Template Form List',
                ),

                array(
                    'id'         => 'post_elimentor_design',
                    'type'       => 'select',
                    'title'   => 'Select Your Template',
                    'label' => 'Select Your Pre-build Elementor Template',
                    'options'    => $template_list),

                array(
                    'id'    => 'upload_preview_video',
                    'type'  => 'upload',
                    'title' => 'Sample Video for Auto Play',
                ),

                array(
                    'id'    => 'youtube_video_url',
                    'type'  => 'text',
                    'title' => 'Your Hosted Youtube Video URL',
                ),

            ),
        ),
        array(
            'name'  => 'section_3',
            'title' => 'Share Option',
            'icon'  => 'fa fa-tint',
            'fields' => array(

                array(
                    'id'    => 'do_you_need_custom_fb',
                    'type'  => 'switcher',
                    'title' => 'Enable Custom Facebook Share Meta',
                ),

                array(
                    'id'    => 'facebook_share_custom_title',
                    'type'  => 'text',
                    'title' => 'Facebook Share Custom Title',
                ),

                array(
                    'id'    => 'facebook_share_custom_description',
                    'type'  => 'text',
                    'title' => 'Facebook Share Custom Description',
                ),

                array(
                    'id'    => 'facebook_share_custom_image',
                    'type'  => 'upload',
                    'title' => 'Facebook Share Custom Post Image',
                ),


            ),
        ),

        array(
            'name'  => 'section_4',
            'title' => 'SEO Option',
            'icon'  => 'fa fa-tint',
            'fields' => array(

                array(
                    'id'    => 'json_led_sd',
                    'type'  => 'switcher',
                    'title' => 'Enabled Structured Data (Json-ld)',
                ),

                array(
                    'id'    => 'description_json_ld',
                    'type'  => 'text',
                    'title' => 'Structured Data Description',
                ),

                array(
                    'id'    => 'articlebody_st_d',
                    'type'  => 'text',
                    'title' => 'Article Body Text',
                ),

            ),
        ),
    ),
);


$options[]    = array(
    'id'        => 'post_meta_int',
    'title'     => 'Siren Page Options',
    'post_type' => 'page',
    'context'   => 'normal',
    'priority'  => 'default',
    'sections'  => array(
        array(
            'name'  => 'section_2',
            'title' => 'Post Option',
            'icon'  => 'fa fa-tint',
            'fields' => array(


                array(
                    'id'         => 'single_header_page',
                    'type'       => 'select',
                    'title'   => 'Select Header',
                    'options'    => $get_header_and_footer
                ),

                array(
                    'id'         => 'single_footer_page',
                    'type'       => 'select',
                    'title'   => 'Select Footer',
                    'options'    => $get_header_and_footer
                ),


            ),
        ),
    ),
);


WPSFramework_Metabox::instance( $options );