<?php if ( ! defined( 'ABSPATH' ) ) { die; } // Cannot access pages directly.
/**
 *
 * ------------------------------------------------------------------------------------------------
 *
 * Wpsmart Option Framework
 * WpSmart Framework Developed For ThemeForest Wpsmart Themes
 *
 * Plugin Name: Wpsmart Option Framework
 * Plugin URI: https://www.spraythemes.com/
 * Author: SprayThemes
 * Author URI: https://www.spraythemes.com/
 * Version: 1.7.3
 * Description: Framework And Option Panel For WPSMART Themes
 * Text Domain: wps-framework
 *
 */

// ------------------------------------------------------------------------------------------------
require_once plugin_dir_path( __FILE__ ) .'/wps-framework-path.php';
// ------------------------------------------------------------------------------------------------

if( ! function_exists( 'WPS_framework_init' ) && ! class_exists( 'WPSFramework' ) ) {
  function WPS_framework_init() {

    // active modules
    defined( 'WPS_ACTIVE_FRAMEWORK' )  or  define( 'WPS_ACTIVE_FRAMEWORK',  true );
    defined( 'WPS_ACTIVE_METABOX'   )  or  define( 'WPS_ACTIVE_METABOX',    true );
    defined( 'WPS_ACTIVE_TAXONOMY'   ) or  define( 'WPS_ACTIVE_TAXONOMY',   true );
    defined( 'WPS_ACTIVE_SHORTCODE' )  or  define( 'WPS_ACTIVE_SHORTCODE',  false );
    defined( 'WPS_ACTIVE_CUSTOMIZE' )  or  define( 'WPS_ACTIVE_CUSTOMIZE',  false );

    // helpers
    WPS_locate_template( 'functions/deprecated.php'     );
    WPS_locate_template( 'functions/fallback.php'       );
    WPS_locate_template( 'functions/helpers.php'        );
    WPS_locate_template( 'functions/actions.php'        );
    WPS_locate_template( 'functions/enqueue.php'        );
    WPS_locate_template( 'functions/sanitize.php'       );
    WPS_locate_template( 'functions/validate.php'       );

    // classes
    WPS_locate_template( 'classes/abstract.class.php'   );
    WPS_locate_template( 'classes/options.class.php'    );
    WPS_locate_template( 'classes/framework.class.php'  );
    WPS_locate_template( 'classes/metabox.class.php'    );
    WPS_locate_template( 'classes/taxonomy.class.php'   );
    WPS_locate_template( 'classes/shortcode.class.php'  );
    WPS_locate_template( 'classes/customize.class.php'  );

    // configs
    WPS_locate_template( 'config/framework.config.php'  );
    WPS_locate_template( 'config/metabox.config.php'    );
    WPS_locate_template( 'config/taxonomy.config.php'   );
    WPS_locate_template( 'config/shortcode.config.php'  );
    WPS_locate_template( 'config/customize.config.php'  );

  }
  add_action( 'init', 'WPS_framework_init', 10 );
}
