<?php
namespace WpsmartSirenTheme\Widgets;

use Elementor\Widget_Base;
use Elementor\Controls_Manager;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class Archive_blog_post extends Widget_Base {

	public function get_name() {
		return 'archive_blog_post';
	}
	public function get_title() {
		return __( 'Archive Post', 'wpsmart-elementor-plugin' );
	}
	public function get_icon() {
		return 'eicon-archive-posts';
	}
	public function get_categories() {
		return [ 'wpsmart-archive-widget' ];
	}
	public function get_script_depends() {
		return [ 'wpsmart-elementor-plugin' ];
	}

	protected function _register_controls() {
		$this->start_controls_section(
			'section_content',
			[
				'label' => __( 'Content', 'wpsmart-elementor-plugin' ),
			]
		);

		$this->end_controls_section();

		//Style Section
		$this->start_controls_section(
			'section_style',
			[
				'label' => __( 'Style', 'wpsmart-elementor-plugin' ),
				'tab' => Controls_Manager::TAB_STYLE,
			]
		);


        $this->add_control(
            'box-style-enable',
            [
                'label' => __( 'Card Style Enable', 'wpsmart-elementor-plugin' ),
                'type' => \Elementor\Controls_Manager::SWITCHER,
                'label_on' => __( 'Enable', 'wpsmart-elementor-plugin' ),
                'label_off' => __( 'Disable', 'wpsmart-elementor-plugin' ),
                'return_value' => 'yes',
                'default' => 'no',
            ]
        );

        $this->add_control(
            'dark_theme_active',
            [
                'label' => __( 'Dark Theme Activate Enable', 'wpsmart-elementor-plugin' ),
                'type' => \Elementor\Controls_Manager::SWITCHER,
                'label_on' => __( 'Enable', 'wpsmart-elementor-plugin' ),
                'label_off' => __( 'Disable', 'wpsmart-elementor-plugin' ),
                'return_value' => 'yes',
                'default' => 'no',
            ]
        );

		$this->end_controls_section();
	}

	protected function render( $instance = [] ) {
		$settings = $this->get_settings_for_display();
        $dirplugin = plugins_url();
        ?>

        <?php if ( \Elementor\Plugin::$instance->editor->is_edit_mode() ) { ?>
            <div class="archive-of-wps <?php if ( 'yes' === $settings['box-style-enable'] ) { ?> card-design <?php } ?> <?php if ( 'yes' === $settings['dark_theme_active'] ) { ?> dark-mood-active <?php } ?>">
                <div class="archive-header">
                    <div class="archive-title">
                        <h2>
                            Your Category/Archive/Tag Name
                        </h2>
                    </div>
                </div>
                <div class="archive-post-section">
                    <div class="archive-start grid-style-active">
                        <article class="post-1846 post type-post status-publish format-standard has-post-thumbnail hentry category-block tag-columns">
                            <div class="image-left-side">
                                <span class="random-tag">
                                    Columns
                                </span>
                                <img width="2210" height="1473" <img src='<?php echo $dirplugin;?>/wpsmart-newshub/assets/img/post-thumbnail.jpg'>
                            </div>
                            <div class="archive-content ">
                                <a href="#">
                                    <h3>This is Sample Blog Post Title #1</h3>
                                </a>
                                <div class="post-meta">
                                    <div class="post-time">
                                        <i class="far fa-clock"></i>
                                        5 Days ago
                                    </div>
                                </div>
                                <div class="post-content">
                                    This page tests how the theme displays the columns block. The first block tests a two column block with paragraphs. This is the second column....
                                </div>
                            </div>
                        </article>
                        <article class="post-1846 post type-post status-publish format-standard has-post-thumbnail hentry category-block tag-columns">
                            <div class="image-left-side">
                                <span class="random-tag">
                                    Columns
                                </span>
                                <img width="2210" height="1473" <img src='<?php echo $dirplugin;?>/wpsmart-newshub/assets/img/post-thumbnail.jpg'>
                            </div>
                            <div class="archive-content ">
                                <a href="#">
                                    <h3>This is Sample Blog Post Title #2</h3>
                                </a>
                                <div class="post-meta">
                                    <div class="post-time">
                                        <i class="far fa-clock"></i>
                                        5 Days ago
                                    </div>
                                </div>
                                <div class="post-content">
                                    This page tests how the theme displays the columns block. The first block tests a two column block with paragraphs. This is the second column....
                                </div>
                            </div>
                        </article>
                        <article class="post-1846 post type-post status-publish format-standard has-post-thumbnail hentry category-block tag-columns">
                            <div class="image-left-side">
                                <span class="random-tag">
                                    Columns
                                </span>
                                <img width="2210" height="1473" <img src='<?php echo $dirplugin;?>/wpsmart-newshub/assets/img/post-thumbnail.jpg'>
                            </div>
                            <div class="archive-content ">
                                <a href="#">
                                    <h3>This is Sample Blog Post Title #3</h3>
                                </a>
                                <div class="post-meta">
                                    <div class="post-time">
                                        <i class="far fa-clock"></i>
                                        5 Days ago
                                    </div>
                                </div>
                                <div class="post-content">
                                    This page tests how the theme displays the columns block. The first block tests a two column block with paragraphs. This is the second column....
                                </div>
                            </div>
                        </article>
                        <div class="full-pagination-design">
                            <div class="paginate">
                                <div class="pagination-content">
                                    <span aria-current="page" class="page-numbers current">1</span>
                                    <a class="page-numbers" href="#">2</a>
                                    <a class="page-numbers" href="#">3</a>
                                    <a class="page-numbers" href="#">4</a>
                                    <a class="next page-numbers" href="#">Next</a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        <?php } else {?>
            <div class="archive-of-wps <?php if ( 'yes' === $settings['box-style-enable'] ) { ?> card-design <?php } ?> <?php if ( 'yes' === $settings['dark_theme_active'] ) { ?> dark-mood-active <?php } ?>">
                <?php if ( !is_home() ) { ?>
                    <?php if ( is_search() ) { ?>
                        <div class="archive-header">
                            <div class="archive-title">
                                <h2><?php esc_html( 'Search Result For :', 'siren'); echo get_search_query(); ?></h2>
                            </div>
                            <div class="archive-view">
                                <div class="view">
                                </div>
                            </div>
                        </div>
                    <?php } elseif ( is_category () ) { ?>
                        <div class="archive-header">
                            <div class="archive-title">
                                <h2>
                                <?php
                                $categories = get_the_category();

                                if ( ! empty( $categories ) ) {
                                    echo esc_html( $categories[0]->name );
                                }
                                ?>
                                </h2>
                            </div>
                            <div class="archive-view">
                                <div class="view">
                                </div>
                            </div>
                        </div>
                    <?php }  ?>
                <?php } ?>
                <div class="archive-post-section">
                    <div class="archive-start">
                        <?php if (have_posts()) : while (have_posts()) : the_post(); ?>
                            <article <?php post_class() ?> id="post-<?php the_ID(); ?>">
                                <?php if ( has_post_thumbnail() ) { ?>
                                    <div class="image-left-side">
                                        <?php
                                        $post_tags = get_the_tags();
                                        if ($post_tags) { ?>
                                            <span class="random-tag">
                                                <?php
                                                    echo $post_tags[0]->name;
                                                ?>
                                            </span>
                                        <?php } ?>
                                        <?php the_post_thumbnail(); ?>
                                    </div>
                                <?php } ?>
                                <div class="archive-content <?php if ( !has_post_thumbnail() ) { ?> no-thumbnail <?php } ?>">
                                    <a href="<?php the_permalink() ?>">
                                        <h3><?php the_title(); ?></h3>
                                    </a>
                                    <div class="post-meta">
                                        <div class="post-time">
                                            <i class="far fa-clock"></i>
                                            <?php echo wpsmart_posttime(); ?>
                                        </div>
                                    </div>
                                    <div class="post-content">
                                        <?php echo wp_trim_words( get_the_content(), 25, '...' ); ?>
                                    </div>
                                </div>
                            </article>
                        <?php endwhile; ?>
                            <div class="full-pagination-design">
                                <?php
                                global $wp_query;
                                $total_pages = $wp_query->max_num_pages;
                                if ($total_pages > 1){
                                    $current_page = max(1, get_query_var('paged'));
                                    echo "<div class='paginate'>";
                                    echo '<div class="pagination-content">';
                                    echo paginate_links(array(
                                        'base' => get_pagenum_link(1) . '%_%',
                                        'format' => '/page/%#%',
                                        'current' => $current_page,
                                        'total' => $total_pages,
                                        'prev_text' => __('Prev', 'siren'),
                                        'next_text' => __('Next', 'siren')
                                    ));
                                    echo '</div>';
                                    echo "</div>";
                                }
                                ?>
                            </div>
                        <?php else : ?>
                            <div class="search-not-found">
                                <h2 class="no-found-search"><?php echo esc_attr_e('Nothing Found', 'siren'); ?></h2>
                                <p class="discription-search-error"><?php echo esc_attr_e( 'Very Sorry About this. We cannot Find Any Result about Your Search Result', 'siren' ); ?></p>
                            </div>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        <?php } ?>


        <?php
	}

	protected function _content_template() {}

    public function render_plain_content( $instance = [] ) {}
}
