<?php
namespace WpsmartSirenTheme\Widgets;

use Elementor\Widget_Base;
use Elementor\Controls_Manager;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class Logo_uploader extends Widget_Base {

	public function get_name() {
		return 'logo-uploader';
	}

	public function get_title() {
		return __( 'Site Logo', 'wpsmart-elementor-plugin' );
	}

	public function get_icon() {
		return 'eicon-site-logo';
	}

	public function get_categories() {
		return [ 'header_and_footer_widget' ];
	}

	public function get_script_depends() {
		return [ 'wpsmart-elementor-plugin' ];
	}

	protected function _register_controls() {
		$this->start_controls_section(
			'section_content',
			[
				'label' => __( 'Content', 'wpsmart-elementor-plugin' ),
			]
		);

		$this->add_control(
            'upload_logo',
            [
                'label' => __( 'Upload Logo Image', 'wpsmart-elementor-plugin' ),
                'type' => \Elementor\Controls_Manager::MEDIA,
                'default' => [
                    'url' => \Elementor\Utils::get_placeholder_image_src(),
                ],
            ]
        );


        $this->end_controls_section();

		//Style Section
		$this->start_controls_section(
			'section_style',
			[
				'label' => __( 'Style', 'wpsmart-elementor-plugin' ),
				'tab' => Controls_Manager::TAB_STYLE,
			]
		);


		$this->end_controls_section();
	}

	protected function render( $instance = [] ) {
		$settings = $this->get_settings_for_display();
        ?>

        <div class="logo">
            <a href="<?php echo esc_url( home_url( '/' ) ); ?>">
                <img src="<?php echo $settings['upload_logo']['url']; ?>" alt="<?php bloginfo( 'name' ); ?>">
            </a>
        </div>

        <?php
	}

	protected function _content_template() {}

    public function render_plain_content( $instance = [] ) {}
}
