<?php
namespace WpsmartSirenTheme\Widgets;

use Elementor\Widget_Base;
use Elementor\Controls_Manager;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class Todat_date_format extends Widget_Base {

	public function get_name() {
		return 'today-date-current-header';
	}
	public function get_title() {
		return __( 'Current date', 'wpsmart-elementor-plugin' );
	}
	public function get_icon() {
		return 'eicon-posts-ticker';
	}
	public function get_categories() {
        return [ 'header_and_footer_widget' ];
	}
	public function get_script_depends() {
		return [ 'wpsmart-elementor-plugin' ];
	}

	protected function _register_controls() {
		$this->start_controls_section(
			'section_content',
			[
				'label' => __( 'Content', 'wpsmart-elementor-plugin' ),
			]
		);


        $this->add_control(
            'cart_icon',
            [
                'label' => __( 'Date Font Color', 'wpsmart-elementor-plugin' ),
                'type' => \Elementor\Controls_Manager::COLOR,
                'default' => 'rgba(0, 0, 0, 0.54)',
                'scheme' => [
                    'type' => \Elementor\Scheme_Color::get_type(),
                    'value' => \Elementor\Scheme_Color::COLOR_1,
                ],
                'selectors' => [
                    '{{WRAPPER}} .today-date' => 'color: {{VALUE}}',
                ],
            ]
        );

        $this->add_control(
            'cart__count_color_bg',
            [
                'label' => __( 'Date Background Color', 'wpsmart-elementor-plugin' ),
                'type' => \Elementor\Controls_Manager::COLOR,
                'default' => '#FC0E0E',
                'scheme' => [
                    'type' => \Elementor\Scheme_Color::get_type(),
                    'value' => \Elementor\Scheme_Color::COLOR_1,
                ],
                'selectors' => [
                    '{{WRAPPER}} .today-date' => 'background: {{VALUE}}',
                ],
            ]
        );

        $this->add_control(
            'font_size_slider',
            [
                'label' => __( 'Height', 'wpsmart-elementor-plugin' ),
                'type' => Controls_Manager::SLIDER,
                'size_units' => [ 'px' ],
                'range' => [
                    'px' => [
                        'min' => 3,
                        'max' => 60,
                        'step' => 1,
                    ],
                ],
                'default' => [
                    'unit' => 'px',
                    'size' => 14,
                ],
                'selectors' => [
                    '{{WRAPPER}} .today-date' => 'padding: {{SIZE}}{{UNIT}} 0;',
                ],
            ]
        );

		$this->end_controls_section();

	}

	protected function render( $instance = [] ) {
		$settings = $this->get_settings_for_display();

        if ( \Elementor\Plugin::$instance->editor->is_edit_mode() ) { ?>
            <div class="today-date">
                <i class="far fa-calendar-alt"></i> <?php echo date('jS F Y'); ?>
            </div>
        <?php } else {?>
            <div class="today-date">
                <i class="far fa-calendar-alt"></i> <?php echo date('jS F Y'); ?>
            </div>
        <?php }

	}

	protected function _content_template() {}

    public function render_plain_content( $instance = [] ) {}
}
