<?php

function custom_toolbar_link($wp_admin_bar) {
    $args = array(
        'id' => 'wpsmartsup',
        'title' => 'Siren Theme Dashboard',
        'href' => 'admin.php?page=siren_wps_dashboard',
        'meta' => array(
            'class' => 'wpsmartsup',
            'title' => 'Get Theme Support'
        )
    );
    $wp_admin_bar->add_node($args);
}
add_action('admin_bar_menu', 'custom_toolbar_link', 999);

add_action('admin_head', 'my_custom_fonts');

function my_custom_fonts() {
    echo '<style>
    li#wp-admin-bar-wpsmartsup a {
        background: #00a7ff !important;
        color: #fff !important;
    }
    li#wp-admin-bar-wpsmartsup a:hover {
        background: #00a7ff !important;
        color: #fff !important;
    }
    </style>';
}

function wpsmart_post_by_data_default ($args){
    $defaults = array(
        'posts_per_page'   => 7,
        'offset'           => 0,
        'category'         => '',
        'category_name'    => '',
        'orderby'          => 'date',
        'order'            => 'DESC',
        'include'          => '',
        'exclude'          => '',
        'meta_key'         => '',
        'meta_value'       => '',
        'post_type'        => 'post',
        'post_mime_type'   => '',
        'post_parent'      => '',
        'author'	   => '',
        'author_name'	   => '',
        'post_status'      => 'publish',
        'suppress_filters' => true
    );

    $atts = wp_parse_args($args,$defaults);

    $posts = get_posts($atts);

    return $posts;
}

//breadcrumb
function the_breadcrumb() {
    echo '<ul class="bcrumbs">';
    if (!is_home()) {
        echo '<li class="home-link"><a href="';
        echo get_option('home');
        echo '">';
        echo 'Home';
        echo "</a></li><li><i class='fas fa-angle-right'></i></li>";
        if (is_category() || is_single()) {
            echo '<li>';
            the_category("</li><li><i class='fas fa-angle-right'></i></li><li>");
            if (is_single()) {
                echo "</li><li><i class='fas fa-angle-right'></i></li><li>";
                the_title();
                echo '</li>';
            }
        } elseif (is_page()) {
            echo '<li>';
            echo the_title();
            echo '</li>';
        }
    }
    elseif (is_tag()) {single_tag_title();}
    elseif (is_day()) {echo"<li>Archive for "; the_time('F jS, Y'); echo'</li>';}
    elseif (is_month()) {echo"<li>Archive for "; the_time('F, Y'); echo'</li>';}
    elseif (is_year()) {echo"<li>Archive for "; the_time('Y'); echo'</li>';}
    elseif (is_author()) {echo"<li>Author Archive"; echo'</li>';}
    elseif (isset($_GET['paged']) && !empty($_GET['paged'])) {echo "<li>Blog Archives"; echo'</li>';}
    elseif (is_search()) {echo"<li>Search Results"; echo'</li>';}
    echo '</ul>';
}


//Post Type
function wpsmart_post_by_type(){
    
    $wpsmart_cpts = get_post_types( array( 'public'   => true, 'show_in_nav_menus' => true ) );
    $wpsmart_exclude_cpts = array( 'elementor_library', 'attachment', 'product' );

    foreach ( $wpsmart_exclude_cpts as $exclude_cpt ) {
        unset($wpsmart_cpts[$exclude_cpt]);
    }
    
    $post_types = array_merge($wpsmart_cpts);
    return $post_types;
}

//Post Settings
function wpsmart_post_settings($settings){
    $post_args['post_type'] = $settings['wpsmart_post_type'];

    if($settings['wpsmart_post_type'] == 'post'){
        $post_args['category'] = $settings['category'];
    }

    $post_args['posts_per_page'] = $settings['wpsmart_posts_count'];
    $post_args['offset'] = $settings['wpsmart_post_offset'];
    $post_args['orderby'] = $settings['wpsmart_post_orderby'];
    $post_args['order'] = $settings['wpsmart_post_order'];

    return $post_args;
}

function wpsmart_get_excerpt_by_id_list($post_id,$excerpt_length){
    $the_post = get_post($post_id); //Gets post ID

    $the_excerpt = null;
    if ($the_post)
    {
        $the_excerpt = $the_post->post_excerpt ? $the_post->post_excerpt : $the_post->post_content;
    }

    $the_excerpt = strip_tags(strip_shortcodes($the_excerpt)); //Strips tags and images
    $words = explode(' ', $the_excerpt, $excerpt_length + 1);

     if(count($words) > $excerpt_length) :
         array_pop($words);
         array_push($words, '…');
         $the_excerpt = implode(' ', $words);
     endif;

     return $the_excerpt;
}

function wpsmart_get_thumbnail_sizes_count(){
    $sizes = get_intermediate_image_sizes();
    foreach($sizes as $s){
        $ret[$s] = $s;
    }
    return $ret;
}

function wpsmart_get_post_orderby_options(){
    $orderby = array(
        'ID' => 'Post ID',
        'author' => 'Post Author',
        'title' => 'Title',
        'date' => 'Date',
        'modified' => 'Last Modified Date',
        'parent' => 'Parent Id',
        'rand' => 'Random',
        'comment_count' => 'Comment Count',
        'menu_order' => 'Menu Order',
    );
    return $orderby;
}

function wpsmart_post_type_categories(){
    $terms = get_terms( array(
        'taxonomy' => 'category',
        'hide_empty' => true,
    ));

    if ( ! empty( $terms ) && ! is_wp_error( $terms ) ){
    foreach ( $terms as $term ) {
        $options[ $term->term_id ] = $term->name;
    }
    }

    return $options;
}

//Product Queries
function wpsmart_woocommerce_product_categories(){
    $terms = get_terms( array(
        'taxonomy' => 'product_cat',
        'hide_empty' => true,
    ));
    
    if ( ! empty( $terms ) && ! is_wp_error( $terms ) ){
    foreach ( $terms as $term ) {
        $options[ $term->slug ] = $term->name;
    }
    return $options;
    }
    
    
}


function wpsmart_woocommerce_product_get_product_by_id(){
    $postlist = get_posts(array(
        'post_type' => 'product',
        'showposts' => 9999,
    ));
    $posts = array();
    
    if ( ! empty( $postlist ) && ! is_wp_error( $postlist ) ){
    foreach ( $postlist as $post ) {
        $options[ $post->ID ] = $post->post_title;
    }
    return $options;
    
    }
}

function wpsmart_woocommerce_product_categories_by_id(){
    $terms = get_terms( array(
        'taxonomy' => 'product_cat',
        'hide_empty' => true,
    ));
    
    if ( ! empty( $terms ) && ! is_wp_error( $terms ) ){
    foreach ( $terms as $term ) {
        $options[ $term->term_id ] = $term->name;
    }
    return $options;
    }
    
}

// Get Contact Form 7 forms
if ( function_exists( 'wpcf7' ) ) {
function wpsmart_select_contact_form(){
    $wpcf7_form_list = get_posts(array(
        'post_type' => 'wpcf7_contact_form',
        'showposts' => 999,
    ));
    $posts = array();
    
    if ( ! empty( $wpcf7_form_list ) && ! is_wp_error( $wpcf7_form_list ) ){
    foreach ( $wpcf7_form_list as $post ) {
        $options[ $post->ID ] = $post->post_title;
    } 
    return $options;
    }
}
}

// Get weForms
function wpsmart_select_weform(){
    $wpuf_form_list = get_posts(array(
        'post_type' => 'wpuf_contact_form',
        'showposts' => 999,
    ));
    $posts = array();
    
    if ( ! empty( $wpuf_form_list ) && ! is_wp_error( $wpuf_form_list ) ){
    foreach ( $wpuf_form_list as $post ) {
        $options[ $post->ID ] = $post->post_title;
    } 
    return $options;
    }
}

// Remove issues with prefetching adding extra views
remove_action( 'wp_head', 'adjacent_posts_rel_link_wp_head', 10, 0);



