<?php
namespace WpsmartSirenTheme;

define( 'WPSMART_ADDONS_URL', plugins_url( '/', __FILE__ ) );
define( 'WPSMART_PLUGIN_PATHX', plugin_dir_path( __FILE__ ) );

require_once WPSMART_PLUGIN_PATHX.'includes/options.php';

class Plugin {

    private static $_instance = null;


    public static function instance() {
        if ( is_null( self::$_instance ) ) {
            self::$_instance = new self();
        }
        return self::$_instance;
    }

    public function widget_scripts() {
        wp_register_script( 'wpsmart-elementor-plugin', plugins_url( '/assets/js/wps-opt.js', __FILE__ ), [ 'jquery' ], false, true );
    }

    private function include_widgets_files() {
        require_once( __DIR__ . '/widgets/magazine-block.php' );
        require_once( __DIR__ . '/widgets/news-ticker.php' );
        require_once( __DIR__ . '/widgets/full-col-slider.php' );
        require_once( __DIR__ . '/widgets/featured_post_by.php' );
        require_once( __DIR__ . '/widgets/fill_slider.php' );
        require_once( __DIR__ . '/widgets/modern_featured_post_by.php' );
        require_once( __DIR__ . '/widgets/dar_slider.php' );
        require_once( __DIR__ . '/widgets/sidebar_quotes.php' );
        require_once( __DIR__ . '/widgets/all_category.php' );
        require_once( __DIR__ . '/widgets/featured_post_by_gallery.php' );
        require_once( __DIR__ . '/widgets/all_tags.php' );
        require_once( __DIR__ . '/widgets/adsbanner.php' );
        require_once( __DIR__ . '/widgets/mailchimp.php' );
        require_once( __DIR__ . '/widgets/galleyblock.php' );
        require_once( __DIR__ . '/widgets/socialcounter.php' );
        require_once( __DIR__ . '/widgets/sociallink.php' );
        require_once( __DIR__ . '/widgets/populer_post.php' );
        require_once( __DIR__ . '/widgets/tag_list_post.php' );
        require_once(__DIR__ . '/widgets/archive_list.php');
        require_once(__DIR__ . '/widgets/post_by_list.php');
        require_once(__DIR__ . '/widgets/woo_products_by.php');
        require_once(__DIR__ . '/widgets/woo_cart.php');
        require_once(__DIR__ . '/widgets/magazine-slider.php');
        require_once(__DIR__ . '/widgets/grid-post-list.php');
        require_once(__DIR__ . '/widgets/widget_titles.php');
//        require_once(__DIR__ . '/widgets/youtube-view.php');


        //Header And Footer
        require_once(__DIR__ . '/hfwidget/main_menu_top.php');
        require_once( __DIR__ . '/hfwidget/logo_uploader.php' );
        require_once( __DIR__ . '/hfwidget/top_menu.php' );
        require_once( __DIR__ . '/hfwidget/search_box.php' );
        require_once( __DIR__ . '/hfwidget/todays_date.php' );

        //Post page
        require_once( __DIR__ . '/post/post_title.php' );
        require_once( __DIR__ . '/post/featured_post.php' );
        require_once( __DIR__ . '/post/breadcrumbs.php' );
        require_once( __DIR__ . '/post/post_content.php' );
        require_once( __DIR__ . '/post/comment-block.php' );
        require_once( __DIR__ . '/post/share-post-block.php' );
        require_once( __DIR__ . '/post/next-and-back.php' );
        require_once( __DIR__ . '/post/post-tags.php' );
        require_once( __DIR__ . '/post/post-author.php' );
        require_once( __DIR__ . '/post/post-meta.php' );

        //Archive
        require_once( __DIR__ . '/archives/archive_post.php' );

    }

    public function register_widgets() {
        // Its is now safe to include Widgets files
        $this->include_widgets_files();

        // Register Widgets
        \Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Widgets\Widget_custom_titles() );
        \Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Widgets\Magazine_home_header() );
        \Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Widgets\Magazine_slider_header() );
        \Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Widgets\New_ticker_slide() );
        \Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Widgets\Full_col_slider() );
        \Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Widgets\Featured_post_by_cat() );
        \Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Widgets\Full_page_slider() );
        \Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Widgets\Modern_featured_post_by_cat() );
        \Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Widgets\Dark_cor_slider() );
        \Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Widgets\Quotes_slider_widget() );
        \Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Widgets\All_category() );
        \Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Widgets\Featured_post_by_gallery() );
        \Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Widgets\All_tags() );
        \Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Widgets\Adsbanner_eli_widget() );
        \Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Widgets\Mailchimp_email_widget() );
        \Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Widgets\Gallery_block() );
        \Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Widgets\Social_counter() );
        \Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Widgets\Social_links() );
        \Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Widgets\Popular_post() );
        \Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Widgets\Tag_list_post_widget() );
        \Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Widgets\Ajax_post_load() );
        \Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Widgets\Post_by_list() );
        \Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Widgets\Woocommerce_products_by() );
        \Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Widgets\Woocommerce_shopping_cart() );
        \Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Widgets\Grid_post_list() );
//        \Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Widgets\Youtube_view() );

        //Post Widget
        \Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Widgets\Post_title_block() );
        \Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Widgets\Featured_post_single() );
        \Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Widgets\Post_content_single() );
        \Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Widgets\Breadcrumb_single() );
        \Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Widgets\Comment_single_block() );
        \Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Widgets\Share_post_single_block() );
        \Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Widgets\Next_and_back_single_block() );
        \Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Widgets\Post_tags_single_block() );
        \Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Widgets\Post_author_block() );
        \Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Widgets\Single_page_meta_section() );

        //Header nad Footer
        \Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Widgets\Logo_uploader() );
        \Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Widgets\Top_menu_home() );
        \Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Widgets\Main_hedaer_menu() );
        \Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Widgets\seach_box_full() );
        \Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Widgets\Todat_date_format() );

        //Archives
        \Elementor\Plugin::instance()->widgets_manager->register_widget_type( new Widgets\Archive_blog_post() );

    }

    public function __construct() {

        // Register widget scripts
        add_action( 'elementor/frontend/after_register_scripts', [ $this, 'widget_scripts' ] );

        // Register widgets
        add_action( 'elementor/widgets/widgets_registered', [ $this, 'register_widgets' ] );

    }
}


// Instantiate Plugin Class
Plugin::instance();
