<?php
namespace WpsmartSirenTheme\Widgets;

use Elementor\Widget_Base;
use Elementor\Controls_Manager;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class Breadcrumb_single extends Widget_Base {

    public function get_name() {
        return 'breadcrumb-single-page';
    }

    public function get_title() {
        return __( 'Breadcrumb', 'wpsmart-elementor-plugin' );
    }

    public function get_icon() {
        return 'tts eicon-posts-ticker';
    }

    public function get_categories() {
        return [ 'wpsmart-post-widget' ];
    }

    public function get_script_depends() {
        return [ 'wpsmart-elementor-plugin' ];
    }

    protected function _register_controls() {
        $this->start_controls_section(
            'section_content',
            [
                'label' => __( 'Content', 'wpsmart-elementor-plugin' ),
            ]
        );

        $this->add_control(
            'home_color',
            [
                'label' => __( 'Home Text Color', 'wpsmart-elementor-plugin' ),
                'type' => \Elementor\Controls_Manager::COLOR,
                'selectors' => [
                    '.custom-post-content .bcrumbs li.home-link a' => 'color: {{VALUE}}',
                ],
            ]
        );


        $this->end_controls_section();
    }

    protected function render( $instance = [] ) {
        $settings = $this->get_settings_for_display();
        if ( \Elementor\Plugin::$instance->editor->is_edit_mode() ) { ?>
            <ul class="bcrumbs">
                <li class="home-link">
                    <a href="#">Home</a>
                </li>
                <i class="fas fa-angle-right"></i>
                <li>
                    <a href="#" rel="category tag">Category</a>
                </li>
                <i class="fas fa-angle-right" '=""></i>
                <li>This Is Your Sample Blog Post Title</li>
            </ul>
        <?php } else {
            the_breadcrumb();
        }
    }

    //breadcrumb
    function the_breadcrumb() {
        echo '<ul class="bcrumbs">';
        if (!is_home()) {
            echo '<li class="home-link"><a href="';
            echo get_option('home');
            echo '">';
            echo 'Home';
            echo "</a></li><li><i class='fas fa-angle-right'></i></li>";
            if (is_category() || is_single()) {
                echo '<li>';
                the_category("</li><li><i class='fas fa-angle-right'></i></li><li>");
                if (is_single()) {
                    echo "</li><li><i class='fas fa-angle-right'></i></li><li>";
                    the_title();
                    echo '</li>';
                }
            } elseif (is_page()) {
                echo '<li>';
                echo the_title();
                echo '</li>';
            }
        }
        elseif (is_tag()) {single_tag_title();}
        elseif (is_day()) {echo"<li>Archive for "; the_time('F jS, Y'); echo'</li>';}
        elseif (is_month()) {echo"<li>Archive for "; the_time('F, Y'); echo'</li>';}
        elseif (is_year()) {echo"<li>Archive for "; the_time('Y'); echo'</li>';}
        elseif (is_author()) {echo"<li>Author Archive"; echo'</li>';}
        elseif (isset($_GET['paged']) && !empty($_GET['paged'])) {echo "<li>Blog Archives"; echo'</li>';}
        elseif (is_search()) {echo"<li>Search Results"; echo'</li>';}
        echo '</ul>';
    }

    protected function _content_template() {}

    public function render_plain_content( $instance = [] ) {}

}
