<?php
namespace WpsmartSirenTheme\Widgets;

use Elementor\Widget_Base;
use Elementor\Controls_Manager;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class Next_and_back_single_block extends Widget_Base {

    public function get_name() {
        return 'next-and-back-single-page';
    }

    public function get_title() {
        return __( 'Next and Previous Navigation', 'wpsmart-elementor-plugin' );
    }

    public function get_icon() {
        return 'eicon-post-navigation';
    }

    public function get_categories() {
        return [ 'wpsmart-post-widget' ];
    }

    public function get_script_depends() {
        return [ 'wpsmart-elementor-plugin' ];
    }

    protected function _register_controls() {
        $this->start_controls_section(
            'section_content',
            [
                'label' => __( 'Content', 'wpsmart-elementor-plugin' ),
            ]
        );

        $this->add_control(
            'next_post_text',
            [
                'label' => __( 'Text For Next Post Title', 'wpsmart-elementor-plugin' ),
                'type' => \Elementor\Controls_Manager::TEXT,
                'default' => __( 'Next Post', 'wpsmart-elementor-plugin' ),
            ]
        );

        $this->add_control(
            'old_post_text',
            [
                'label' => __( 'Text For Previous Post Title', 'wpsmart-elementor-plugin' ),
                'type' => \Elementor\Controls_Manager::TEXT,
                'default' => __( 'Previous Post', 'wpsmart-elementor-plugin' ),
            ]
        );


        $this->end_controls_section();
    }

    protected function render( $instance = [] ) {
        $settings = $this->get_settings_for_display();
        if ( \Elementor\Plugin::$instance->editor->is_edit_mode() ) { ?>
            <div class="next-and-back">
                <div class="wrap no-padding-vertical">
                    <div class="old-link dual-navigation">
                        <span class="sub-titles"><?php echo $settings['old_post_text'] ?></span> <a href="#" rel="prev">Sample Previous post Title here</a></div>
                    <div class="next-link dual-navigation">
                        <span class="sub-titles"><?php echo $settings['next_post_text'] ?></span> <a href="#" rel="next">Sample Next Post Title</a></div>
                </div>
            </div>
        <?php } else {?>
            <div class="next-and-back">
                <div class="wrap no-padding-vertical">
                    <div class="old-link dual-navigation">
                        <?php if(get_previous_post()){ ?>
                            <i class="fas fa-chevron-left"></i>
                            <?php previous_post_link( '<span class="sub-titles">Previous Post</span> %link', '%title' ); ?>
                        <?php } ?>
                    </div>
                    <div class="next-link dual-navigation">
                        <?php if(get_next_post()){ ?>
                            <i class="fas fa-chevron-right"></i>
                            <?php next_post_link( '<span class="sub-titles">Next Post</span> %link', '%title' ); ?>
                        <?php } ?>
                    </div>
                </div>
            </div>
        <?php
        }
    }


    protected function _content_template() {}

    public function render_plain_content( $instance = [] ) {}

}
