<?php
namespace WpsmartSirenTheme\Widgets;

use Elementor\Widget_Base;
use Elementor\Controls_Manager;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class Single_page_meta_section extends Widget_Base {

    public function get_name() {
        return 'single-page-meta';
    }

    public function get_title() {
        return __( 'Post Meta', 'wpsmart-elementor-plugin' );
    }

    public function get_icon() {
        return 'eicon-meta-data';
    }

    public function get_categories() {
        return [ 'wpsmart-post-widget' ];
    }

    public function get_script_depends() {
        return [ 'wpsmart-elementor-plugin' ];
    }

    protected function _register_controls() {
        $this->start_controls_section(
            'section_content',
            [
                'label' => __( 'Content', 'wpsmart-elementor-plugin' ),
            ]
        );

        $this->add_control(
            'home_color',
            [
                'label' => __( 'Home Text Color', 'wpsmart-elementor-plugin' ),
                'type' => \Elementor\Controls_Manager::COLOR,
                'selectors' => [
                    '.custom-post-content .bcrumbs li.home-link a' => 'color: {{VALUE}}',
                ],
            ]
        );


        $this->end_controls_section();
    }

    protected function render( $instance = [] ) {
        $settings = $this->get_settings_for_display();
        if ( \Elementor\Plugin::$instance->editor->is_edit_mode() ) { ?>
            <div class="post-contrnt-footer">
                <div class="post-time">
                    <i class="far fa-clock"></i> <?php echo wpsmart_posttime(); ?>
                </div>
                <div class="comment-count">
                    <a href="<?php the_permalink(); ?>/#comment">
                        <i class="far fa-comment"></i> <?php echo get_comments_number(); ?>
                    </a>
                </div>
            </div>
        <?php } else {?>
            <div class="post-contrnt-footer">
                <div class="post-time">
                    <i class="far fa-clock"></i> <?php echo wpsmart_posttime(); ?>
                </div>
                <div class="post-view">
                    <i class="fab fa-hotjar"></i><?php echo getPostViews(get_the_ID()); ?>
                </div>
                <div class="comment-count">
                    <a href="<?php the_permalink(); ?>/#comment">
                        <i class="far fa-comment"></i> <?php echo get_comments_number(); ?>
                    </a>
                </div>
            </div>
        <?php
        }
    }

    protected function _content_template() {}

    public function render_plain_content( $instance = [] ) {}

}
