<?php
namespace WpsmartSirenTheme\Widgets;

use Elementor\Widget_Base;
use Elementor\Controls_Manager;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class Post_tags_single_block extends Widget_Base {

    public function get_name() {
        return 'post-tags-single-page';
    }

    public function get_title() {
        return __( 'Post Tags', 'wpsmart-elementor-plugin' );
    }

    public function get_icon() {
        return 'eicon-dual-button';
    }

    public function get_categories() {
        return [ 'wpsmart-post-widget' ];
    }

    public function get_script_depends() {
        return [ 'wpsmart-elementor-plugin' ];
    }

    protected function _register_controls() {
        $this->start_controls_section(
            'section_content',
            [
                'label' => __( 'Content', 'wpsmart-elementor-plugin' ),
            ]
        );

        $this->add_control(
            'tags_title',
            [
                'label' => __( 'Text For Tags title', 'wpsmart-elementor-plugin' ),
                'type' => \Elementor\Controls_Manager::TEXT,
                'default' => __( 'Tags', 'wpsmart-elementor-plugin' ),
            ]
        );


        $this->end_controls_section();
    }

    protected function render( $instance = [] ) {
        $settings = $this->get_settings_for_display();
        if ( \Elementor\Plugin::$instance->editor->is_edit_mode() ) { ?>
            <div class="post-tags">
                <p><?php echo $settings['tags_title']; ?></p>
                <div class="tags">
                    <a href="#" rel="tag">Popular</a>
                    <a href="#" rel="tag">Professor </a>
                    <a href="#" rel="tag">Renaissance</a>
                </div>
            </div>
        <?php } else {?>
            <div class="post-tags">
                <p><?php echo $settings['tags_title']; ?></p>
                <div class="tags">
                    <?php the_tags('', '', ''); ?>
                </div>
            </div>
        <?php
        }
    }

    protected function _content_template() {}

    public function render_plain_content( $instance = [] ) {}

}
