<?php
namespace WpsmartSirenTheme\Widgets;

use Elementor\Widget_Base;
use Elementor\Controls_Manager;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class Post_title_block extends Widget_Base {

	public function get_name() {
		return 'pots-title-block';
	}

	public function get_title() {
		return __( 'Post Title', 'wpsmart-elementor-plugin' );
	}

	public function get_icon() {
		return 'eicon-post-title';
	}

	public function get_categories() {
		return [ 'wpsmart-post-widget' ];
	}

	public function get_script_depends() {
		return [ 'wpsmart-elementor-plugin' ];
	}

	protected function _register_controls() {
		$this->start_controls_section(
			'section_content',
			[
				'label' => __( 'Content', 'wpsmart-elementor-plugin' ),
			]
		);

        $this->add_group_control(
            \Elementor\Group_Control_Typography::get_type(),
            [
                'name' => 'title_typography',
                'selector' => '{{WRAPPER}} .header-title h1.entry-title',
            ]
        );

        $this->add_control(
            'title_color',
            [
                'label' => __( 'Title Color', 'wpsmart-elementor-plugin' ),
                'type' => \Elementor\Controls_Manager::COLOR,
                'scheme' => [
                    'type' => \Elementor\Scheme_Color::get_type(),
                    'value' => \Elementor\Scheme_Color::COLOR_1,
                ],
                'selectors' => [
                    '{{WRAPPER}} .header-title h1.entry-title' => 'color: {{VALUE}}',
                ],
            ]
        );



        $this->end_controls_section();
	}

    protected function render( $instance = [] ) {
        $settings = $this->get_settings_for_display();
        if ( \Elementor\Plugin::$instance->editor->is_edit_mode() ) { ?>
            <div class="header-title">
                <h1 class="entry-title">This is BlogPost Main Sample Title</h1>
            </div>
        <?php } else { ?>
            <div class="header-title">
                <?php
                if ( is_singular() ) :
                    the_title( '<h1 class="entry-title" style="color: ' . $settings['title_color'] . ';">', '</h1>' );
                else :
                    the_title( '<h2 class="entry-title" style="color: ' . $settings['title_color'] . ';" ><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h2>' );
                endif;
                ?>
            </div>
        <?php
        }
	}

    protected function _content_template() {}

    public function render_plain_content( $instance = [] ) {}

}
