<?php
namespace WpsmartSirenTheme\Widgets;

use Elementor\Widget_Base;
use Elementor\Controls_Manager;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

class Share_post_single_block extends Widget_Base {

    public function get_name() {
        return 'share-post-single-page';
    }

    public function get_title() {
        return __( 'Social Share', 'wpsmart-elementor-plugin' );
    }

    public function get_icon() {
        return ' eicon-share';
    }

    public function get_categories() {
        return [ 'wpsmart-post-widget' ];
    }

    public function get_script_depends() {
        return [ 'wpsmart-elementor-plugin' ];
    }

    protected function _register_controls() {
        $this->start_controls_section(
            'section_content',
            [
                'label' => __( 'Content', 'wpsmart-elementor-plugin' ),
            ]
        );

        $this->end_controls_section();
    }

    protected function render( $instance = [] ) {
        $settings = $this->get_settings_for_display();
        if ( \Elementor\Plugin::$instance->editor->is_edit_mode() ) { ?>
            <div class="sharepost-template">
                <div class="post-share">
                    <ul>
                        <li class="facebook">
                            <i class="fab fa-facebook-f"></i>
                            <p>Facebook</p>
                        </li>
                        <li class="twitter">
                            <i class="fab fa-twitter"></i>
                            <p>Twitter</p>
                        </li>
                        <li class="pintrest">
                            <i class="fab fa-pinterest-p"></i>
                        </li>
                        <li class="linkedin">
                            <i class="fab fa-linkedin-in"></i>
                        </li>
                        <li class="morelink">
                            <i class="fas fa-plus"></i>
                        </li>
                    </ul>
                    <div class="copy-to-clip">
                        <input type="text" data-toggle="tooltip" data-placement="top" title="Click To Copy" id="myInput" onclick="myFunction()" value="<?php the_permalink(); ?>">
                    </div>
                </div>
            </div>
        <?php } else {?>
            <div class="sharepost-template">
                <div class="post-share">
                    <ul>
                        <li class="facebook">
                            <a target="_blank" href="https://www.facebook.com/sharer/sharer.php?u=<?php the_permalink(); ?>">
                                <i class="fab fa-facebook-f"></i>
                                <p>Facebook</p>
                            </a>
                        </li>
                        <li class="twitter">
                            <a target="_blank" href="https://twitter.com/intent/tweet?url=<?php the_permalink(); ?>&text=<?php $shareblettl =  get_the_title(); echo str_replace(" ", "%20", $shareblettl); ?>">
                                <i class="fab fa-twitter"></i>
                                <p>Twitter</p>
                            </a>
                        </li>
                        <li class="pintrest">
                            <a target="_blank" href="//pinterest.com/pin/create/link/?url=<?php the_permalink();?>&amp;description=<?php $shareblettl =  get_the_title(); echo str_replace(" ", "%20", $shareblettl); ?>">
                                <i class="fab fa-pinterest-p"></i>
                            </a>
                        </li>
                        <li class="linkedin">
                            <a href="https://www.linkedin.com/sharing/share-offsite/?url=<?php the_permalink();?>">
                                <i class="fab fa-linkedin-in"></i>
                            </a>
                        </li>
                        <li class="morelink">
                            <i class="fas fa-plus"></i>
                        </li>
                    </ul>
                    <div class="copy-to-clip">
                        <input type="text" data-toggle="tooltip" data-placement="top" title="Click To Copy" id="myInput" onclick="myFunction()" value="<?php the_permalink(); ?>">
                    </div>
                </div>
            </div>
        <?php
        }
    }

    protected function _content_template() {}

    public function render_plain_content( $instance = [] ) {}

}
