<?php
namespace WpsmartSirenTheme\Widgets;

use Elementor\Widget_Base;
use Elementor\Controls_Manager;

if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly


class Youtube_view extends Widget_Base {

    
	public function get_name() {
		return 'wpsmart-news-youtube-view';
	}

	public function get_title() {
		return __( 'Youtube Gallery', 'wpsmart-elementor-plugin' );
	}

	public function get_icon() {
		return 'eicon-youtube';
	}


	public function get_categories() {
		return [ 'wpsmart-widget' ];
	}


	public function get_script_depends() {
		return [ 'wpsmart-elementor-plugin' ];
	}


	protected function _register_controls() {
		$this->start_controls_section(
			'section_content',
			[
				'label' => __( 'Content', 'wpsmart-elementor-plugin' ),
			]
		);

        $this->add_control(
            'unique_widget_id',
            [
                'label' => __( 'Type Unique ID', 'wpsmart-elementor-plugin' ),
                'type' => \Elementor\Controls_Manager::TEXT,
                'placeholder' => __( 'uniqueid_2545', 'wpsmart-elementor-plugin' ),
                'default' => __( 'tag_list_unique_id1991', 'wpsmart-elementor-plugin' ),
            ]
        );

		$this->end_controls_section();

	}

	protected function render( $instance = [] ) {
		$settings = $this->get_settings_for_display();

        ?>

        <script>
            jQuery(function($){
                $('#<?php echo $settings['unique_widget_id'] ?>').spidochetube({
                    key             : 'AIzaSyDPOEg5Yr6ioWlvKTt2ZPmT79DZT9iw1Lg', // CHANGE THIS WITH YOUR OWN YOUTUBE API KEY HERE
                    id              : 'PLx6mzsznFN3TAmpo6dQO0HWHP_5YHCrfr',
                    max_results     : 20,
                    paging          : 'loadmore',
                    scroll_duration : 500
                });
                new SimpleBar(document.getElementById('mytestetttteet'));
            })

        </script>

        <div id="<?php echo $settings['unique_widget_id'] ?>" class="spidochetube"></div>

        <?php
	}

	/**
	 * Render the widget output in the editor.
	 *
	 * Written as a Backbone JavaScript template and used to generate the live preview.
	 *
	 * @since 1.0.0
	 *
	 * @access protected
	 */
	protected function _content_template() {}

    public function render_plain_content( $instance = [] ) {}
}
